# Payment Links ![Payment Links](/assets/payment-links.ffd26ab1fa40e8d5554df78841a3943e026e5a8fb9144f6062f4fe56abe56a6f.fec90461.svg) Payment links create individual links you can send to buyers to complete a transaction. You can share these links on web pages, email, text, or QR codes. Payment links can be either "single-use" or "multiple-use". Single-use payment links are personalized for a specific customer's purchase, while multiple-use links can be used any number of times. With payment links, instead of logging in to a computer or meeting the seller in person, the buyer can click a link and complete the transaction on their phone or preferred device. Example use cases for payment links: - Including a payment link with an invoice for your buyer to pay - Asking a buyer to pay after they visit your store - Allowing buyers to pay through chat, email, or social media The payment link buyer page is supported on desktop and mobile. You can also customize the checkout page with your brand name and logo. ## Buyer Experience Payment links are generated by entering transaction details in the Finix Dashboard. After creating the payment link, you can share it with your buyer via a hyperlink, QR code, email, or chat. When the buyer clicks the link, they will be directed to a payment page where they can enter their card or bank information to complete the transaction. ![Buyer Page](/assets/payment-links-buyer-experience-1.233b5348f040324734223e47512774f5c160df9ba96eb53715d3c8ff540ac8da.08ff7529.png) ## Supported Payment Methods Finix's payment links support: - Card payments ($USD and $CAD) - Bank account payments (ACH Direct Debits in the USA and EFTs in Canada) - Google Pay - Apple Pay ## Use the Finix Dashboard You can create a payment link in the Finix Dashboard without any development work and track its status. ### Step 1: Create a Payment Link To create a payment link in the Finix Dashboard: 1. Log into the [Finix Dashboard](https://finix.payments-dashboard.com/Login). 2. Navigate to **Payment Tools > Payment Links**. 3. Click **Create Payment Link**. 4. Choose whether the payment link is for a **Sale** or **Authorization**. - If **Authorization** is chosen, you must select **Credit/Debit**, **Apple Pay**, or **Google Pay** as the allowed payment method. 5. Fill the form out with the requested details. Be sure to link to your [Terms of Service](#terms-of-service). #### Single-use Links "Single-use" payment links can be used only once, enhancing security by ensuring they are valid for a single payment. They are helpful for businesses that want to send payment links via text or email to their customers. ![Single-use Link](/assets/payment-links-single-use.7126505f2609f95ac176ed97e68468870459e7bb1e5e88276fb69f580e48666a.08ff7529.png) After payment, the user sees a summary of the items and the total amount paid: ![Single-use Link - Completed](/assets/payment-links-single-use-completed.fb20e16b41a954ad06bd166a3b5ec29410ff6e7161093c27a509b8b4c752327a.08ff7529.png) A single-use payment link can only accept one payment. Clicking the payment link again will display a message confirming successful payment processing with no further actions available: ![Single-use Link - Success Processing](/assets/payment-links-single-use-successfully-processed.ff7660613c1953ece7704ae0dda90931880bdb3bc6f721caaca09f3e6f66029b.08ff7529.png) #### Multiple-use Links "Multiple-use" payment links let businesses and customers use the same payment link for multiple transactions. Companies can track and analyze the performance of each payment link across various purchases: Multiple-use links do not support L2/L3 If you are using [Level 2 / Level 3](https://docs.finix.com/guides/online-payments/payment-features/level-2-level-3-processing), please be aware that multiple-use links do not support this processing method. ![Multiple-use Links](/assets/payment-links-multi-use.4c98811e09fe29be146ee9a21b76e7c006e8ec182d7bfc770ec968982ddc920a.08ff7529.png) For Multiple-use payment links, the `state` remains `ACTIVE` until it expires or is deactivated. Each successful payment creates a new [Transfer](/api/transfers) resource: ![Multiple-use Links](/assets/payment-links-multi-use-many-payments.1f0f9a3957ad145d17838f16759bdfbc7f13991165a6420984124ad9cefb9f6c.08ff7529.png) #### Google Pay You can enable Google Pay for payment links. Google Pay can benefit merchants by speeding up checkout and reducing payment link abandonment. In addition, Google Pay offers enhanced security through tokenization, which hides card numbers and requires biometric/PIN authentication. ![Google Pay Payment Link](/assets/payment-links-google-pay.164e0f990a5579fdce3f7049c0e39a73c850fb8922ccb7df6b7ded650a4b9e3c.08ff7529.png) You can enable **Google Pay** in the **Allowed Payment Methods** section when you create a payment link. #### Apple Pay Apple Pay offers similar benefits as [Google Pay](#google-pay) and can speed up checkout with tokenized, biometric-authenticated payments. Enable **Apple Pay** in the **Allowed Payment Methods** section. ### Step 2: Send Payment Link to Buyer To copy a payment link's URL, click it from the **Payments** page to open its details page. Then, click **Share Link**. In the pop-up, you can: 1. Click **Copy Link** to copy the URL. 2. Click **QR Code** to download a QR code. 3. Share the link via email or text. When the buyer clicks the link, they will be redirected to Finix's payment form to complete their payment. Here's an example payment link URL you can copy and view: ``` Payment Link URL https://link.sandbox-payments-checkout.com/iTHcU6 ``` ### Step 3: Track your Payment Link After the buyer completes the payment, you can review the details of the transaction on either: 1. The **Transactions** > **Payments** page. Every successful payment will appear on the **Payments** page. 2. An individual payment link's details page. On this page, you can view **Payment Attempts**. To receive real-time payment updates, integrate our [webhooks](/additional-resources/developers/webhooks). ## Use the Finix API To create a `Payment Link`, include: - The `ID` of the `Merchant`. The payment link will be associated with the `Merchant`. - Whether the payment link is single or multiple-use. - A list of products/services. - Any additional URLs (A Terms of Service URL is required). - Allowed payment methods. At this time, only `APPROVED` `Merchants` with one of the following `processors` can create `Payment Links`: - `DUMMY_V1` - `LITLE_V1` - `FINIX_V1` For detailed API information, please see our [Payment Links API Reference](/api/payment-links/createpaymentlink). ### Example: Single-use Payment Link #### Request Example API Definition #### Response Example Payment Link - Single-Use { "id": "payment_link_ctZKsR5TUXLC4NULE95Y6", "additional_details": { "collect_billing_address": false, "collect_email": true, "collect_name": true, "collect_phone": false, "collect_shipping_address": false, "expiration_in_minutes": 10080, "expired_session_url": null, "receipt_requested_delivery_methods": [], "send_receipt": false, "success_return_url": null, "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms", "unsuccessful_return_url": null }, "allowed_payment_methods": [ "BANK_ACCOUNT", "PAYMENT_CARD" ], "amount_details": { "amount_breakdown": null, "amount_type": "FIXED", "currency": "USD", "max_amount": null, "min_amount": null, "total_amount": 7500 }, "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "attempt_level_two_level_three_payment": false, "branding": { "accent_color": "#f3eeee", "brand_color": "#111823", "button_font_color": "#111823", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo_alternative_text": null }, "buyer_details": null, "created_at": "2025-11-10T19:20:10.851928Z", "is_authorization": false, "is_multiple_use": false, "items": [], "link_expires_at": "2025-11-17T19:20:10.825665Z", "link_url": "https://link.sandbox-payments-checkout.com/iAh12H", "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "nickname": null, "payment_frequency": "ONE_TIME", "split_transfers": [], "state": "ACTIVE", "tags": {}, "updated_at": "2025-11-10T19:20:10.851928Z", "_links": { "self": { "href": "https://finix.sandbox-payments-api.com/payment_links/payment_link_ctZKsR5TUXLC4NULE95Y6" } } } API Definition ### Example: Multi-use Payment Link #### Request Example API Definition #### Response Example Payment Link - Multi-Use { "id": "payment_link_ctZKJBuMdQJRmrbLKtabZ", "additional_details": { "collect_billing_address": false, "collect_email": true, "collect_name": true, "collect_phone": false, "collect_shipping_address": false, "expiration_in_minutes": 1576800, "expired_session_url": null, "receipt_requested_delivery_methods": [], "send_receipt": false, "success_return_url": null, "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms", "unsuccessful_return_url": null }, "allowed_payment_methods": [ "BANK_ACCOUNT", "PAYMENT_CARD" ], "amount_details": { "amount_breakdown": null, "amount_type": "FIXED", "currency": "USD", "max_amount": null, "min_amount": null, "total_amount": 7500 }, "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "attempt_level_two_level_three_payment": false, "branding": { "accent_color": "#f3eeee", "brand_color": "#111823", "button_font_color": "#111823", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo_alternative_text": null }, "buyer_details": null, "created_at": "2025-11-10T19:23:44.732243Z", "is_authorization": false, "is_multiple_use": true, "items": [], "link_expires_at": "2028-11-09T19:23:44.70264Z", "link_url": "https://link.sandbox-payments-checkout.com/irHFxX", "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "nickname": null, "payment_frequency": "ONE_TIME", "split_transfers": [], "state": "ACTIVE", "tags": {}, "updated_at": "2025-11-10T19:23:44.732243Z", "_links": { "self": { "href": "https://finix.sandbox-payments-api.com/payment_links/payment_link_ctZKJBuMdQJRmrbLKtabZ" } } } API Definition ### Example: Level 2 Processing You can enable [Level 2 processing](/guides/online-payments/payment-features/level-2-level-3-processing) for payment links by setting the `attempt_level_two_level_three_payment` field to `true`. Refer to the following table to understand which fields you need to include to create a `Payment Link` with Level 2 processing. | **Field** | **Optional / Required** | **Description** | | --- | --- | --- | | `attempt_level_two_level_three_payment` | Required | When set to `true`, enables Level 2/Level 3 data collection for card payments. | | `buyer_details.customer_reference_number` | Required | The customer reference for the purchase (max 17 characters). | | `amount_breakdown.tax_exempt` | Optional | When set to `true`, the transaction is declared as tax exempt. | | `amount_breakdown.estimated_tax_amount` | Optional | The estimated amount of tax applied to the order. | #### Request Example ```shell curl -i -X POST \ -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \ https://finix.sandbox-payments-api.com/payment_links \ -H 'Content-Type: application/json' \ -H 'Finix-Version: 2022-02-01' \ -d '{ "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "payment_frequency": "ONE_TIME", "is_multiple_use": false, "allowed_payment_methods": [ "PAYMENT_CARD", "BANK_ACCOUNT" ], "amount_details": { "amount_breakdown": { "estimated_tax_amount": 429, // [!code highlight] "tax_exempt": true // [!code highlight] }, "amount_type": "FIXED", "total_amount": 429, "currency": "USD" }, "additional_details": { "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms" }, "attempt_level_two_level_three_payment": true, // [!code highlight] "branding": { "brand_color": "#111823", "accent_color": "#f3eeee", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "button_font_color": "#111823" }, "buyer_details": { "customer_reference_number": "321xyz" // [!code highlight] } }' ``` API Definition #### Response Example Payment Link - Level 2 Processing { "id": "payment_link_cvcCVsW6VWVhhZ13DWCLk", "additional_details": { "collect_billing_address": false, "collect_email": true, "collect_name": true, "collect_phone": false, "collect_shipping_address": false, "expiration_in_minutes": 10080, "expired_session_url": null, "receipt_requested_delivery_methods": [], "send_receipt": false, "success_return_url": null, "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms", "unsuccessful_return_url": null }, "allowed_payment_methods": [ "BANK_ACCOUNT", "PAYMENT_CARD" ], "amount_details": { "amount_breakdown": { "tax_exempt": true, "subtotal_amount": null, "shipping_amount": null, "estimated_tax_amount": 429, "discount_amount": null, "tip_amount": null, "customs_duty_amount": null, "additional_buyer_charges": null }, "amount_type": "FIXED", "currency": "USD", "max_amount": null, "min_amount": null, "total_amount": 429 }, "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "attempt_level_two_level_three_payment": true, "branding": { "accent_color": "#f3eeee", "brand_color": "#111823", "button_font_color": "#111823", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo_alternative_text": null }, "buyer_details": { "customer_reference_number": "321xyz", "first_name": null, "identity_id": null, "last_name": null }, "created_at": "2025-12-17T17:15:59.631583Z", "is_authorization": false, "is_multiple_use": false, "items": [], "link_expires_at": "2025-12-24T17:15:59.599071Z", "link_url": "https://link.sandbox-payments-checkout.com/XmXvyY", "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "nickname": null, "payment_frequency": "ONE_TIME", "split_transfers": [], "state": "ACTIVE", "tags": {}, "updated_at": "2025-12-17T17:15:59.631583Z", "_links": { "self": { "href": "https://finix.sandbox-payments-api.com/payment_links/payment_link_cvcCVsW6VWVhhZ13DWCLk" } } } API Definition ### Example: Level 3 Processing You can enable [Level 3 processing](/guides/online-payments/payment-features/level-2-level-3-processing) for payment links by setting the `attempt_level_two_level_three_payment` field to `true`. Refer to the following table to understand which fields you need to include to process a payment link with Level 3 processing. In order for a transaction to qualify for Level 3 processing, the `amount_details.amount_breakdown.estimated_tax_amount` field must omitted or set to `null`. | **Field** | **Optional / Required** | **Description** | | --- | --- | --- | | `attempt_level_two_level_three_payment` | Required | When set to `true`, enables Level 2/Level 3 data collection for card payments. | | `amount_details.amount_breakdown.customs_duty_amount` | Optional | The duty in cents on the total purchase amount for the order. This field is optional for Level 3 processing, but its value must be at least `0`. | | `amount_details.amount_breakdown.discount_amount` | Optional | The amount in cents of the discount for the order. This field is optional for Level 3 processing, but its value must be at least `0`. | | `amount_details.amount_breakdown.shipping_amount` | Optional | The shipping cost in cents for the order. This field is optional for Level 3 processing, but its value must be at least `0`. | | `amount_details.amount_breakdown.tax_exempt` | Optional | When set to `true`, the transaction is declared as tax exempt. | | `buyer_details.customer_reference_number` | Required | The customer reference for the purchase (max 17 characters). | | `items.quantity` | Required | The item quantity. | | `items.description` | Required | A item description. | | `items.item_details.commodity_code` | Required | Commodity code for the item. | | `items.item_details.merchant_product_code` | Required | Merchant's product code for the item. | | `items.item_details.unit_of_measure` | Required | Unit of measure for the item. | | `items.item_details.cost_per_unit` | Required | Cost per unit in cents. | | `items.price_details.amount_excluding_sales_tax` | Required | The amount excluding sales tax. | | `items.price_details.item_discount_amount` | Optional | The item discount amount in cents. This field is optional for Level 3 processing, but its value must be at least `0`. | | `items.price_details.regular_amount` | Required | The standard price of the item without any adjustments applied (e.g. discounts, taxes, sales). | #### Request Example ```shell curl -i -X POST \ -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \ https://finix.sandbox-payments-api.com/payment_links \ -H 'Content-Type: application/json' \ -H 'Finix-Version: 2022-02-01' \ -d '{ "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "payment_frequency": "ONE_TIME", "is_multiple_use": false, "allowed_payment_methods": [ "PAYMENT_CARD", "BANK_ACCOUNT" ], "amount_details": { "amount_breakdown": { "subtotal_amount": 3994, "discount_amount": 1000, // [!code highlight] "shipping_amount": 995, // [!code highlight] "customs_duty_amount": 10, // [!code highlight] "tax_exempt": true // [!code highlight] }, "amount_type": "FIXED", "total_amount": 3999, "currency": "USD" }, "additional_details": { "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms" }, "attempt_level_two_level_three_payment": true, // [!code highlight] "branding": { "brand_color": "#111823", "accent_color": "#f3eeee", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "button_font_color": "#111823" }, "buyer_details": { "customer_reference_number": "321xyz" // [!code highlight] }, "items": [ { "name": "Holiday Dinner Contribution", "description": "Your personal contribution to the holiday dinner.", // [!code highlight] "quantity": "1", // [!code highlight] "image_details": { "primary_image_url": "https://images.unsplash.com/photo-1608835149345-b4d77bc490ae?q=80&w=3272&auto=format&fit=crop&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D" }, "item_details": { // [!code highlight] "commodity_code": "175-62-20", // [!code highlight] "merchant_product_code": "1149611", // [!code highlight] "unit_of_measure": "BX", // [!code highlight] "cost_per_unit": 500 // [!code highlight] }, // [!code highlight] "price_details": { "amount_excluding_sales_tax": 5000, // [!code highlight] "currency": "USD", "item_discount_amount": 1000, "price_type": "PROMOTIONAL", "regular_amount": 5000, // [!code highlight] "sale_amount": 7500 } } ] }' ``` API Definition #### Response Example Payment Link - Level 3 Processing { "id": "payment_link_cvcCyRyxTyURbGLwwxnGh", "additional_details": { "collect_billing_address": false, "collect_email": true, "collect_name": true, "collect_phone": false, "collect_shipping_address": false, "expiration_in_minutes": 10080, "expired_session_url": null, "receipt_requested_delivery_methods": [], "send_receipt": false, "success_return_url": null, "terms_of_service_url": "https://mybasketball-leaguexyz.com/terms", "unsuccessful_return_url": null }, "allowed_payment_methods": [ "BANK_ACCOUNT", "PAYMENT_CARD" ], "amount_details": { "amount_breakdown": { "tax_exempt": true, "subtotal_amount": 3994, "shipping_amount": 995, "estimated_tax_amount": null, "discount_amount": 1000, "tip_amount": null, "customs_duty_amount": 10, "additional_buyer_charges": null }, "amount_type": "FIXED", "currency": "USD", "max_amount": null, "min_amount": null, "total_amount": 3999 }, "application_id": "APc9vhYcPsRuTSpKD9KpMtPe", "attempt_level_two_level_three_payment": true, "branding": { "accent_color": "#f3eeee", "brand_color": "#111823", "button_font_color": "#111823", "icon": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-icon-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo": "https://s3.amazonaws.com/customer-uploaded-assets-prod/11-16-2023-04_16_27_2022-04-28-22_56_33-finix-logo-v2.png_0feefc6d-06fe-4c50-a5e4-91dfeb183482", "logo_alternative_text": null }, "buyer_details": { "customer_reference_number": "321xyz", "first_name": null, "identity_id": null, "last_name": null }, "created_at": "2025-12-17T17:11:20.034555Z", "is_authorization": false, "is_multiple_use": false, "items": [ { "description": "Your personal contribution to the holiday dinner.", "image_details": { "primary_image_url": "https://images.unsplash.com/photo-1608835149345-b4d77bc490ae?q=80&w=3272&auto=format&fit=crop&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D", "alternative_image_urls": [] }, "item_details": { "commodity_code": "175-62-20", "merchant_product_code": "1149611", "unit_of_measure": "BX", "cost_per_unit": 500 }, "name": "Holiday Dinner Contribution", "price_details": { "sale_amount": 7500, "currency": "USD", "price_type": "PROMOTIONAL", "regular_amount": 5000, "amount_excluding_sales_tax": 5000, "item_discount_amount": 1000 }, "quantity": 1 } ], "link_expires_at": "2025-12-24T17:11:20.002213Z", "link_url": "https://link.sandbox-payments-checkout.com/mxgK6U", "merchant_id": "MU7noQ1wdgdAeAfymw2rfBMq", "nickname": null, "payment_frequency": "ONE_TIME", "split_transfers": [], "state": "ACTIVE", "tags": {}, "updated_at": "2025-12-17T17:11:20.034555Z", "_links": { "self": { "href": "https://finix.sandbox-payments-api.com/payment_links/payment_link_cvcCyRyxTyURbGLwwxnGh" } } } API Definition ## Successful Payments When a buyer successfully submits a payment using a payment link, the `status` of the payment link updates to `COMPLETED`. ## Terms of Service You must include a URL to your terms of service when creating a payment link. You must include your terms and services with every payment link you create. Your terms and conditions should contain the following information: ### General Terms - A description of the product or service that you are selling or offering. - Any third parties involved in the product you are selling or offering. - Reference to which governing law applies to you and your buyers. ### Privacy Policy - Any data you are storing. - Any data you are sharing with third parties. - Your cookie policy. ### Shipping and Delivery Information - Expected delivery and shipping timelines - Any restrictions on where you can ship or deliver your goods or services ### Refunds and Cancellations - Your general refund policies (e.g., 10 days, 30 days, no refunds allowed). - Directions on submitting a refund request or canceling a subscription. ### Contact Information You should include general contact information such as: - Business name - Doing Business as - Support Email address - Support Phone number